Loading...
Searching...
No Matches
juce::FontFeatureSetting Class Referencefinal

## Detailed Description

Represents a single OpenType font feature setting.

A font feature setting combines a FontFeatureTag with an optional value that controls the behavior of that feature. For example, a 'liga' (standard ligatures) feature can be enabled (value=1) or disabled (value=0), while other features like 'salt' (stylistic alternates) might accept a range of values to select specific alternates.

See also
  FontFeatureTag, FontOptions, Font

The documentation for this class was generated from the following file:

- juce_graphics/fonts/juce_FontFeatures.h

## Public Member Functions

constexpr | FontFeatureSetting (FontFeatureTag featureTag, uint32 featureValue) noexcept
| Constructs a feature setting with the specified tag and optional value.
constexpr bool | operator< (const FontFeatureSetting &other) const
constexpr bool | operator<= (const FontFeatureSetting &other) const
constexpr bool | operator> (const FontFeatureSetting &other) const
constexpr bool | operator>= (const FontFeatureSetting &other) const
constexpr bool | operator== (const FontFeatureSetting &other) const
constexpr bool | operator!= (const FontFeatureSetting &other) const

## Public Attributes

FontFeatureTag | tag
| The OpenType feature tag.
uint32 | value
| The value for this feature.

## Static Public Attributes

static constexpr auto | featureEnabled = 1
| Common feature values for convenience.
static constexpr auto | featureDisabled = 0
| Disable this feature (value=0).

## Constructors and Destructors

## FontFeatureSetting()

juce::FontFeatureSetting::FontFeatureSetting | ( | FontFeatureTag | featureTag,
|  | uint32 | featureValue )

inline constexpr noexcept

Constructs a feature setting with the specified tag and optional value.

References tag, and value.

Referenced by operator!=(), operator<(), operator<=(), operator==(), operator>(), and operator>=().

## Member Functions

## operator<()

bool juce::FontFeatureSetting::operator< | ( | const FontFeatureSetting & | other | ) | const

inline nodiscard constexpr

References FontFeatureSetting().

## operator<=()

bool juce::FontFeatureSetting::operator<= | ( | const FontFeatureSetting & | other | ) | const

inline nodiscard constexpr

References FontFeatureSetting().

## operator>()

bool juce::FontFeatureSetting::operator> | ( | const FontFeatureSetting & | other | ) | const

inline nodiscard constexpr

References FontFeatureSetting().

## operator>=()

bool juce::FontFeatureSetting::operator>= | ( | const FontFeatureSetting & | other | ) | const

inline nodiscard constexpr

References FontFeatureSetting().

## operator==()

bool juce::FontFeatureSetting::operator== | ( | const FontFeatureSetting & | other | ) | const

inline nodiscard constexpr

References FontFeatureSetting().

## operator!=()

bool juce::FontFeatureSetting::operator!= | ( | const FontFeatureSetting & | other | ) | const

inline nodiscard constexpr

References FontFeatureSetting().

## Member Data Documentation

## featureEnabled

auto juce::FontFeatureSetting::featureEnabled = 1

static constexpr

Common feature values for convenience.

Enable this feature (value=1).

Referenced by juce::FontOptions::withFeatureEnabled().

## featureDisabled

auto juce::FontFeatureSetting::featureDisabled = 0

static constexpr

Disable this feature (value=0).

Referenced by juce::FontOptions::withFeatureDisabled().

## tag

FontFeatureTag juce::FontFeatureSetting::tag

The OpenType feature tag.

Referenced by FontFeatureSetting().

## value

uint32 juce::FontFeatureSetting::value

The value for this feature.

Common values are 0 (featureDisabled) and 1 (featureEnabled), but some features support additional values for specific behaviors.

Referenced by FontFeatureSetting().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited